<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="61194d5e-54dd-4781-bb27-f945e927353d" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/my-app/docker-compose.yml" beforeDir="false" afterPath="$PROJECT_DIR$/my-app/docker-compose.yml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/my-app/package-lock.json" beforeDir="false" afterPath="$PROJECT_DIR$/my-app/package-lock.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/my-app/package.json" beforeDir="false" afterPath="$PROJECT_DIR$/my-app/package.json" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file leaf-file-name="package.json" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/my-app/package.json">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file leaf-file-name="docker-compose.yml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/my-app/docker-compose.yml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="183">
              <caret line="19" column="8" selection-start-line="19" selection-start-column="8" selection-end-line="19" selection-end-column="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="nginx.conf" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/my-app/nginx.conf">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="273">
              <caret line="13" column="1" selection-start-line="13" selection-start-column="1" selection-end-line="13" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="app.js" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/my-app/app.js">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file leaf-file-name="Dockerfile" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/my-app/Dockerfile">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>nginx.conf</find>
    </findStrings>
    <dirStrings>
      <dir>C:\Projects\nodejs-mongodb</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/testapp/views/helloworld.jade" />
        <option value="$PROJECT_DIR$/testapp/app.js" />
        <option value="$PROJECT_DIR$/testapp/routes/index.js" />
        <option value="$PROJECT_DIR$/testapp/views/newuser.jade" />
        <option value="$PROJECT_DIR$/testapp/package.json" />
        <option value="$PROJECT_DIR$/testapp/Dockerfile" />
        <option value="$PROJECT_DIR$/testapp/docker-compose.yml" />
        <option value="$PROJECT_DIR$/my-app/docker-compose.yml" />
        <option value="$PROJECT_DIR$/my-app/nginx.conf" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-9" />
    <option name="y" value="-9" />
    <option name="width" value="1346" />
    <option name="height" value="680" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="nodejs-mongodb" type="b2602c69:ProjectViewProjectNode" />
              <item name="nodejs-mongodb" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nodejs-mongodb" type="b2602c69:ProjectViewProjectNode" />
              <item name="nodejs-mongodb" type="462c0819:PsiDirectoryNode" />
              <item name="my-app" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Projects\demo-web-app\testapp\views" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="61194d5e-54dd-4781-bb27-f945e927353d" name="Default" comment="" />
      <created>1523483167631</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1523483167631</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-9" y="-9" width="1384" height="738" extended-state="6" />
    <layout>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="bottom" id="TODO" order="7" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info id="Image Layers" order="2" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="right" id="Maven Projects" order="6" />
      <window_info anchor="bottom" id="Version Control" order="10" />
      <window_info anchor="bottom" id="Run" order="3" />
      <window_info anchor="bottom" id="Terminal" order="8" visible="true" weight="0.14759536" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Designer" order="3" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25841874" />
      <window_info anchor="bottom" id="Docker" order="0" show_stripe_button="false" />
      <window_info anchor="bottom" id="Find" order="2" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" order="4" />
      <window_info anchor="right" id="Theme Preview" order="4" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="4" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="6" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info id="Learn" order="5" />
      <window_info anchor="bottom" id="Message" order="1" />
      <window_info anchor="bottom" id="Cvs" order="5" weight="0.25" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/my-app/package.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/testapp/package.json" />
    <entry file="file://$PROJECT_DIR$/testapp/Dockerfile" />
    <entry file="file://$PROJECT_DIR$/testapp/app.js" />
    <entry file="file://$PROJECT_DIR$/testapp/routes/index.js" />
    <entry file="file://$PROJECT_DIR$/testapp/views/newuser.jade" />
    <entry file="file://$PROJECT_DIR$/testapp/views/helloworld.jade" />
    <entry file="file://$PROJECT_DIR$/testapp/docker-compose.yml" />
    <entry file="file://$PROJECT_DIR$/testapp/package.json" />
    <entry file="file://$PROJECT_DIR$/testapp/app.js" />
    <entry file="file://$PROJECT_DIR$/testapp/routes/index.js" />
    <entry file="file://$PROJECT_DIR$/testapp/views/helloworld.jade" />
    <entry file="file://$PROJECT_DIR$/testapp/Dockerfile" />
    <entry file="file://$PROJECT_DIR$/testapp/package.json" />
    <entry file="file://$PROJECT_DIR$/testapp/app.js" />
    <entry file="file://$PROJECT_DIR$/testapp/routes/index.js" />
    <entry file="file://$PROJECT_DIR$/testapp/views/helloworld.jade" />
    <entry file="file://$PROJECT_DIR$/testapp/Dockerfile" />
    <entry file="file://$PROJECT_DIR$/testapp/package.json" />
    <entry file="file://$PROJECT_DIR$/testapp/app.js" />
    <entry file="file://$PROJECT_DIR$/testapp/routes/index.js" />
    <entry file="file://$PROJECT_DIR$/testapp/views/helloworld.jade" />
    <entry file="file://$PROJECT_DIR$/testapp/views/index.jade" />
    <entry file="file://$PROJECT_DIR$/testapp/views/helloworld.jade" />
    <entry file="file://$PROJECT_DIR$/testapp/routes/index.js" />
    <entry file="file://$PROJECT_DIR$/testapp/views/newuser.jade" />
    <entry file="file://$PROJECT_DIR$/testapp/app.js" />
    <entry file="file://$PROJECT_DIR$/testapp/package.json" />
    <entry file="file://$PROJECT_DIR$/testapp/Dockerfile" />
    <entry file="file://$PROJECT_DIR$/testapp/docker-compose.yml" />
    <entry file="file://$PROJECT_DIR$/my-app/node_modules/nginx-conf/src/conf.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2502" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/node_modules/nginx-conf/index.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/node_modules/nginx-conf/package.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/node_modules/nginx/package.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/node_modules/mongodb/package.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/package.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/Dockerfile">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/views/index.jade">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/routes/index.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/app.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/docker-compose.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="183">
          <caret line="19" column="8" selection-start-line="19" selection-start-column="8" selection-end-line="19" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/my-app/nginx.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="273">
          <caret line="13" column="1" selection-start-line="13" selection-start-column="1" selection-end-line="13" selection-end-column="1" />
        </state>
      </provider>
    </entry>
  </component>
</project>